%{?nodejs_find_provides_and_requires}
%global packagename d
%global enable_tests 0
Name:                nodejs-d
Version:             1.0.0
Release:             2
Summary:             Property descriptor factory
License:             MIT
URL:                 https://github.com/medikoo/d
Source0:             https://registry.npmjs.org/d/-/d-%{version}.tgz
BuildArch:           noarch
ExclusiveArch:       %{nodejs_arches} noarch
BuildRequires:       nodejs-packaging    npm(es5-ext)
%if 0%{?enable_tests}
BuildRequires:       	npm(tad)
%endif
%description
Property descriptor factory

%prep
%setup -q -n package

%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}
%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/tad
%else
%{_bindir}/echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%{!?_licensedir:%global license %doc}
%doc *.md CHANGES
%license LICENSE
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Nov 26 2020 caodongxia <caodongxia@huawei.com> - 1.0.0-2
- Delete file nodejs-d.spec.old

* Mon Aug 17 2020 Anan Fu <fuanan3@huawei.com> - 1.0.0-1
- package init
